#!/bin/sh -e

if [ -z "$1" ]; then
	echo "Sort the JSON keys in the given bd file. The bd file will be overwritten."
	echo
	echo "usage: $0 <bd-file>"
	exit 1
fi

TMPFILE=`mktemp`

jq --sort-keys < "$1" > "$TMPFILE"
mv "$TMPFILE" "$1"
